#extension GL_OES_EGL_image_external : require

precision highp float;
varying vec2 vTextureCoord;
uniform samplerExternalOES sTexture;
uniform lowp float brightness;

void main()
{
  lowp vec4 textureColor = texture2D(sTexture, vTextureCoord);
  gl_FragColor = vec4((textureColor.rgb + vec3(brightness)), textureColor.w);
}