#extension GL_OES_EGL_image_external : require

precision mediump float;
varying vec2 vTextureCoord;
varying vec2 vTextureCoordMask;
varying vec2 vTextureCoordMask2;
uniform samplerExternalOES sTexture;
uniform samplerExternalOES sTextureMask;
uniform samplerExternalOES sTextureMask2;


void main() {
    lowp vec4 textureColor = texture2D(sTexture, vTextureCoord);
    lowp vec4 textureMaskColor = texture2D(sTextureMask, vTextureCoordMask);
    lowp vec4 textureMask2Color = texture2D(sTextureMask2, vTextureCoordMask2);

    //textureColor.a = textureMaskColor.a;
    //textureColor.a =   1.0 - textureMaskColor.r;
    //gl_FragColor = textureColor;
    //textureMaskColor.a = textureColor.a;
      //  gl_FragColor = textureMaskColor;

    //the following deserv try again. may has mistake.
    //if(textureMaskColor.r > 0.0001){
       // textureMaskColor.r = 1.0;
   // }
    //if(textureMask2Color.r > 0.0001){
    //       textureMask2Color.r = 1.0;
    //}

    gl_FragColor = textureColor  * (textureMaskColor.r) * (textureMask2Color.r);
  }
